/*父盒子属性 横向分布*/
.flex_row {
    display: flex;
    flex-direction: row;
}

/*父盒子属性 纵向分布*/
.flex_col {
    display: flex;
    flex-direction: column;
}

/*父盒子属性 横向分布 子元素左右排列*/
.flex_between {
    justify-content: space-between;
}

/*父盒子属性 超出换行*/
.flex_wrap {
    flex-wrap: wrap;
}

/*父盒子属性 横向分布 子元素均匀分布*/
.flex_around {
    justify-content: space-around;
}

/* 父盒子属性 垂直居中*/
.flex_col_center {
    align-items: center;
}
/* 父盒子属性 垂直居下*/
.flex_col_end {
    align-items: flex-end;
}

/*父盒子属性 水平居中*/
.flex_row_center {
    justify-content: center;
}
.flex_row_right {
    justify-content:flex-end;
}

/*子盒子属性 横向排列时 上对齐*/
.child_top {
    align-self: flex-start;
}

/*子盒子属性 横向排列时 底部对齐*/
.child_bottom {
    align-self: flex-end;
}
.selectedAClassBox a{
    position:relative !important;
    padding:0px !important;
}
.selectedAClass::after {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    content: '';
    width: 40px;
    height: 4px;
    border-radius: 4px;
    background: #2D78F3;
}
.ml60{ margin-left: 60px;}
.ml30{ margin-left: 30px;}
.ml15{ margin-left: 15px;}

.h5ColumnBox {
    display: none;
    position: fixed;
    left: 0;
    top: 60px;
    z-index: 10000;
    width: 100%;
    height: 48px;
    overflow: hidden;
    background: #ffffff;
    box-shadow: 0 1px 8px rgb(0 0 0 / 8%);

}
.h5ColumnList{
    position: relative;
    height: 40px;
    line-height: 40px;
    float: left;
}
.h5ColumnList a{
    height: 40px;
    line-height: 40px;
    color: #0a001f;
    display: block;
}
.selectedAH5Class::after {
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    content: '';
    width: 40px;
    height: 4px;
    border-radius: 4px;
    background: #2D78F3;
}
.mainQrTxtBox{
    max-width: 780px;
    min-width: 300px;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: auto;
    margin-right: auto;
    color: #666666;
}
.mainQrImgBox{
    margin-top: 50px;
    width: 240px;
    height: 300px;
}
.mainQrImgEmpty{
    width: 240px;
    height: 240px;
    border-radius: 8px 8px 8px 8px;
    border: 1px dashed #CCCCCC;
    line-height:240px;
    text-align: center;
    position: relative;
}
.mainQrImgEmpty canvas{
    width: 100%;
    height: 100%;
    position: absolute;
    top:0;
    left:0;
}
.tabSwitch{
    cursor: pointer;
}
.mainQrTabBox{
    width: 100%;
    height: 50px;
}
.l{float: left;}
.mainQrTabBox div,.mainQrTabss{
    height: 32px;
    line-height: 32px;
    text-align: center;
    font-size: 16px;
    margin-right: 16px;
    margin-bottom: 16px;
    padding-left: 28px;
    padding-right: 28px;
    border-radius: 18px 18px 18px 18px;
    border: 1px solid #EBEBEB;
}
.mainQrTabs{

}
.mainQrTabss{
    color: #FFFFFF;
    background: #2D78F3;
    border: 1px solid #2D78F3;
}
.mainQrContent{
    height: 240px;
}
.mainQrContentBo{
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #CCCCCC;
    min-height: 238px;
}
.mainQrContentText{
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #CCCCCC;
    height: 218px;
    width: calc(100% - 22px);
    padding: 10px;
}
.mainQrContentMoer{
    height: 36px;
    line-height: 36px;
    margin-top: 14px;
    cursor: pointer;
}
.mainQrIcon{
    margin-left: 11px;
    margin-right: 11px;
    width: 7px;
    height: 12px;
}
.lmainQrFontTxt1{
    color: #333333;
}
.lmainQrFontTxt2
{
    color: #999999;
}
.mainQrImgRightInputBox{
    margin-top: 18px;
}
.mainQrImgRightInputCopy{
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #D9D9D9;
    width: 100px;
    height: 36px;
    line-height: 36px;
    font-size: 14px;
    color: #333333;
    cursor: pointer;
}
.mainQrImgRightInputDown{
    width: 100px;
    height: 36px;
    background: #2065EE;
    border-radius: 8px 8px 8px 8px;
    line-height: 36px;
    font-size: 14px;
    color: #FFFFFF;
    cursor: pointer;
}
.mainQrContentDoPostBox{
    height: 44px;
}
.mainQrContentDoPostBox{
     margin-top: 20px;
}
.mainQrContentDoPost{
    width: 160px;
    height: 44px;
    border-radius: 8px 8px 8px 8px;
    font-size: 16px;
    line-height: 44px;
    text-align: center;
    cursor: pointer;
    margin-right: 20px;
}
.mainQrContentDoPostBlue{
    background: #2065EE;
    color: #FFFFFF;
}
.mainQrContentDoPostGrey{
    border: 1px solid #D9D9D9;
    color: #333333;
}
.mainQrUpImgInputMian{
    position: relative;
    margin: 20px 0px 20px 20px;
    height: 170px;
    width: 130px;

}
.mainQrUpImgInputMianMax{
    position: relative;
    width: 100%;

}
.mainQrUpImgInputbox{
    height: 128px;
    width: 128px;
    border-radius: 4px 4px 4px 4px;
    border: 1px dashed #CCCCCC;
    cursor: pointer;
}

.mquiIcon{
    width: 40px;
    height: 40px;
}
.mquiTxt{
    margin-top: 10px;
    font-size: 14px;
    color: #333333;
}
.mquiTxtNotes{
    margin-top: 18px;
    font-size: 14px;
    color: #999999;
}
.imgMianB{
    width: 130px;
    height: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-bottom: 14px;
}
.mainQrUpImg{
    min-width: 100%; /* 最小宽度为容器宽度 */
    min-height: 100%; /* 最小高度为容器高度 */
    max-width: 100%; /* 最大宽度不超过容器宽度 */
    max-height: 100%; /* 最大高度不超过容器高度 */
    object-fit: contain; /* 保持图片的宽高比 */
    border-radius: 4px 4px 4px 4px;
}
.mainQrUpImgSortL{
    height: 26px;
    line-height: 26px;
    font-size: 14px;
    color: #999999;
}
.mainQrUpImgSortInput{
    width: 52px;
    height: 26px;
    background: #F6F8F9;
    border-radius: 4px 4px 4px 4px;
    border: 0px;
    text-align: center;
}
.mqdelIcon{
    position: absolute;
    width: 20px;
    height: 20px;
    right: -5px;
    top:-5px;
}
.imgInput,.fileInput{
    width: 100%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    right: 0;
    top: 0;
    opacity: 0;
    cursor: pointer;
}
.mainQrContenFileBoxleft{
    width: 70%;
}
.mainQrContenFileBoxright{
    line-height: 26px;
    width: 30%;
}

.mainQrContenFileBox{
    width: 100%;
    margin: 14px;
    border-radius: 4px 4px 4px 4px;
    border: 1px dashed #CCCCCC;
    height: 62px;
}
.mainQrContenFileBoxImg{
    margin-left: 12px;
    margin-right: 12px;
    width: 40px;
}
.mainQrContenFileBoxName{

}
.mainQrContenFileBoxOpen{
    margin-left: 20px;
    margin-right: 20px;

}
.fileIcon{ width: 40px}
.mainQrContenFileBoxNameTitle{
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    height: 16px;
    margin-top: 6px;
    margin-bottom: 8px;
    color: #333333;
    overflow: hidden;
}
.mainQrContenFileBoxNameSize{
    font-weight: 400;
    font-size: 14px;
    color: #999999;
}
.mainQrContenFileBoxSort{
    margin-left: 40px;
}
.mainQrContenFileBoxInput{
    width: 52px;
    height: 26px;
    margin-left: 10px;
    background: #F6F8F9;
    border-radius: 4px 4px 4px 4px;
    border: 0px;
    text-align: center;
}
.mainQrUpImgInputMianMaxDoPost{
    position: relative;
    width: 125px;
    height: 40px;
    line-height: 40px;
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #CCCCCC;
    margin: 14px 20px;
    font-size: 14px;
    color: #333333;
    text-align: center;

}
#editor-container{
    height: 500px;
}
#editor-container a{
    color: #2065EE;
}